// string_extract_words.cpp

#include <iostream>
#include <iterator>
#include <sstream>
#include <string>
#include <vector>

#include "tips.hpp"

using namespace std;

int main( )
{
   string text( "How much wood would a woodchuck chuck?" );
   istringstream stream( text );

   // make a vector with each word of the text
   vector< string > words( (istream_iterator<string>( stream )),
         istream_iterator<string>() );

   // confirm by writing to output
   cout << "There are " << words.size() << " words in \"" << text
      << "\"\n\nTHE WORDS ARE\n";
   tips::print( words, 0, "\n" );
}


