#include <iostream>
#include <iomanip> // for setprecision()
#include <complex>
using namespace std;

int main()
{
	complex<double> c1(7.63, 9.88); // create from rectangular coordinates
	complex<double> c2( polar(10.04, 0.77) ); // from polar coordinates (phasor)

	complex<double> c3 = c1 + c2; // -, *, and / also available

	cout << setprecision(4);
	cout << "Sum: " << c3 << "  magnitude: " << abs(c3);
	cout << "  Angle: " << arg(c3) << endl;
	cout << "Norm: " << norm(c3)  << "  Conjugate: " << conj(c3)<< endl;
	cout << "Real: " << c3.real() << "  Imag: " << c3.imag() << endl;
	cout << "Sqrt: " << sqrt(c3) << "  Log: " << log(c3) <<endl;
	cout << "Sine: " << sin(c3) << "  hyperboic sine: " << sinh(c3) << endl;
}
			